Package: groovy.org.codenarc.rule.grails

## [Groovy] Class GrailsDomainWithServiceReferenceRule

- groovy.org.codenarc.rule.grails.GrailsDomainWithServiceReferenceRule

- Checks that Grails Domain classes do not have Service classes injected.

  Authors:
    Artur Gajowy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToFilesMatching`
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### String applyToFilesMatching

    - #### Class astVisitorClass

    - #### String name

    - #### int priority